# cXMLElement::ParamResolver Class Reference

`#include <cxmlelement.h>`

Inheritance diagram for cXMLElement::ParamResolver:

List of all members.

## Detailed Description

Base class for classes that resolve parameters ($PARAM) that occur in in XPath expressions to their values.

## Public Member Functions

virtual bool | resolve (const char *paramname, std::string &value)=0

## Member Function Documentation

virtual bool cXMLElement::ParamResolver::resolve | ( | const char * | paramname,
|  | std::string & | value
| ) | `[pure virtual]`

| To be redefined in subclasses. If paramname is recognized, the method should store the value in the 'value' argument and return true; otherwise it should return false. Implemented in ModNameParamResolver, and StringMapParamResolver.

The documentation for this class was generated from the following file:

- cxmlelement.h